Index: trunk/src/VBox/Frontends/VirtualBox/src/globals/UIMainEventListener.cpp
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/src/globals/UIMainEventListener.cpp	(revision 94733)
+++ trunk/src/VBox/Frontends/VirtualBox/src/globals/UIMainEventListener.cpp	(revision 94734)
@@ -68,9 +68,4 @@
 #include "CStorageControllerChangedEvent.h"
 #include "CStorageDeviceChangedEvent.h"
-#include "CUpdateAgent.h"
-#include "CUpdateAgentAvailableEvent.h"
-#include "CUpdateAgentErrorEvent.h"
-#include "CUpdateAgentStateChangedEvent.h"
-#include "CUpdateAgentSettingsChangedEvent.h"
 #include "CUSBDevice.h"
 #include "CUSBDeviceStateChangedEvent.h"
@@ -220,8 +215,4 @@
     qRegisterMetaType<KGuestMonitorChangedEventType>("KGuestMonitorChangedEventType");
     qRegisterMetaType<CGuestSession>("CGuestSession");
-    qRegisterMetaType<CUpdateAgent>("CUpdateAgent");
-    qRegisterMetaType<KUpdateChannel>("KUpdateChannel");
-    qRegisterMetaType<KUpdateSeverity>("KUpdateSeverity");
-    qRegisterMetaType<KUpdateState>("KUpdateState");
 }
 
@@ -610,31 +601,4 @@
             break;
         }
-        case KVBoxEventType_OnUpdateAgentAvailable:
-        {
-            CUpdateAgentAvailableEvent comEventSpecific(pEvent);
-            emit sigUpdateAgentAvailable(comEventSpecific.GetAgent(),
-                                         comEventSpecific.GetVersion(), comEventSpecific.GetChannel(),
-                                         comEventSpecific.GetSeverity(), comEventSpecific.GetDownloadURL(),
-                                         comEventSpecific.GetWebURL(), comEventSpecific.GetReleaseNotes());
-            break;
-        }
-        case KVBoxEventType_OnUpdateAgentError:
-        {
-            CUpdateAgentErrorEvent comEventSpecific(pEvent);
-            emit sigUpdateAgentError(comEventSpecific.GetAgent(), comEventSpecific.GetMsg(), comEventSpecific.GetRcError());
-            break;
-        }
-        case KVBoxEventType_OnUpdateAgentStateChanged:
-        {
-            CUpdateAgentStateChangedEvent comEventSpecific(pEvent);
-            emit sigUpdateAgentStateChanged(comEventSpecific.GetAgent(), comEventSpecific.GetState());
-            break;
-        }
-        case KVBoxEventType_OnUpdateAgentSettingsChanged:
-        {
-            CUpdateAgentSettingsChangedEvent comEventSpecific(pEvent);
-            emit sigUpdateAgentSettingsChanged(comEventSpecific.GetAgent(), comEventSpecific.GetAttributeHint());
-            break;
-        }
         default: break;
     }
Index: trunk/src/VBox/Frontends/VirtualBox/src/globals/UIMainEventListener.h
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/src/globals/UIMainEventListener.h	(revision 94733)
+++ trunk/src/VBox/Frontends/VirtualBox/src/globals/UIMainEventListener.h	(revision 94734)
@@ -39,5 +39,4 @@
 #include "CNetworkAdapter.h"
 #include "CUSBDevice.h"
-#include "CUpdateAgent.h"
 #include "CVirtualBoxErrorInfo.h"
 
@@ -190,16 +189,4 @@
     /** @} */
 
-    /** @name Update agent signals
-      * @{ */
-        /** Notifies about an available update of an update agent. */
-        void sigUpdateAgentAvailable(CUpdateAgent, QString, KUpdateChannel, KUpdateSeverity, QString, QString, QString);
-        /** Notifies about an error of an update agent. */
-        void sigUpdateAgentError(CUpdateAgent, QString, long);
-        /** Notifies about a state change of an update agent. */
-        void sigUpdateAgentStateChanged(CUpdateAgent, KUpdateState);
-        /** Notifies about update agent @a comAgent settings change. */
-        void sigUpdateAgentSettingsChanged(CUpdateAgent comAgent, const QString &strAttributeHint);
-    /** @} */
-
     /** @name Progress related signals
       * @{ */
Index: trunk/src/VBox/Frontends/VirtualBox/src/globals/UIVirtualBoxEventHandler.cpp
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/src/globals/UIVirtualBoxEventHandler.cpp	(revision 94733)
+++ trunk/src/VBox/Frontends/VirtualBox/src/globals/UIVirtualBoxEventHandler.cpp	(revision 94734)
@@ -78,12 +78,4 @@
       * @param  fRegistered    Brings whether medium is registered or unregistered. */
     void sigMediumRegistered(const QUuid &uMediumId, KDeviceType enmMediumType, bool fRegistered);
-    /** Notifies about an available update of an update agent. */
-    void sigUpdateAgentAvailable(CUpdateAgent, QString, KUpdateChannel, KUpdateSeverity, QString, QString, QString);
-    /** Notifies about an error of an update agent. */
-    void sigUpdateAgentError(CUpdateAgent, QString, long);
-    /** Notifies about a state change of an update agent. */
-    void sigUpdateAgentStateChanged(CUpdateAgent, KUpdateState);
-    /** Notifies about update agent @a comAgent settings change. */
-    void sigUpdateAgentSettingsChanged(CUpdateAgent comAgent, const QString &strAttributeHint);
 
 public:
@@ -190,24 +182,4 @@
     /* Register event sources in their listeners as well: */
     m_pQtListener->getWrapped()->registerSource(m_comEventSource, m_comEventListener);
-
-    /* Update agent event handling: */
-    const CUpdateAgent comUpdateAgentHost = uiCommon().host().GetUpdateHost();
-    AssertWrapperOk(comUpdateAgentHost);
-          CEventSource comUpdateAgentHostEventSource = comUpdateAgentHost.GetEventSource();
-    AssertWrapperOk(comUpdateAgentHostEventSource);
-
-    eventTypes.clear();
-    eventTypes
-        << KVBoxEventType_OnUpdateAgentAvailable
-        << KVBoxEventType_OnUpdateAgentStateChanged
-        << KVBoxEventType_OnUpdateAgentError
-        << KVBoxEventType_OnUpdateAgentSettingsChanged;
-
-    /* Register event listener for event source aggregator: */
-    comUpdateAgentHostEventSource.RegisterListener(m_comEventListener, eventTypes, FALSE /* active? */);
-    AssertWrapperOk(m_comEventSource);
-
-    /* Register event sources in their listeners as well: */
-    m_pQtListener->getWrapped()->registerSource(comUpdateAgentHostEventSource, m_comEventListener);
 }
 
@@ -266,18 +238,4 @@
     connect(m_pQtListener->getWrapped(), SIGNAL(sigMediumRegistered(QUuid, KDeviceType, bool)),
             this, SIGNAL(sigMediumRegistered(QUuid, KDeviceType, bool)),
-            Qt::DirectConnection);
-    connect(m_pQtListener->getWrapped(), SIGNAL(sigUpdateAgentAvailable(CUpdateAgent, QString, KUpdateChannel, KUpdateSeverity,
-                                                                        QString, QString, QString)),
-            this, SIGNAL(sigUpdateAgentAvailable(CUpdateAgent, QString, KUpdateChannel, KUpdateSeverity,
-                                                 QString, QString, QString)),
-            Qt::DirectConnection);
-    connect(m_pQtListener->getWrapped(), SIGNAL(sigUpdateAgentError(CUpdateAgent, QString, long)),
-            this, SIGNAL(sigUpdateAgentError(CUpdateAgent, QString, long)),
-            Qt::DirectConnection);
-    connect(m_pQtListener->getWrapped(), SIGNAL(sigUpdateAgentStateChanged(CUpdateAgent, KUpdateState)),
-            this, SIGNAL(sigUpdateAgentStateChanged(CUpdateAgent, KUpdateState)),
-            Qt::DirectConnection);
-    connect(m_pQtListener->getWrapped(), SIGNAL(sigUpdateAgentSettingsChanged(CUpdateAgent, QString)),
-            this, SIGNAL(sigUpdateAgentSettingsChanged(CUpdateAgent, QString)),
             Qt::DirectConnection);
 }
@@ -399,18 +357,4 @@
             this, SIGNAL(sigMediumRegistered(QUuid, KDeviceType, bool)),
             Qt::QueuedConnection);
-    connect(m_pProxy, SIGNAL(sigUpdateAgentAvailable(CUpdateAgent, QString, KUpdateChannel, KUpdateSeverity,
-                                                     QString, QString, QString)),
-            this, SIGNAL(sigUpdateAgentAvailable(CUpdateAgent, QString, KUpdateChannel, KUpdateSeverity,
-                                                 QString, QString, QString)),
-            Qt::DirectConnection);
-    connect(m_pProxy, SIGNAL(sigUpdateAgentError(CUpdateAgent, QString, long)),
-            this, SIGNAL(sigUpdateAgentError(CUpdateAgent, QString, long)),
-            Qt::DirectConnection);
-    connect(m_pProxy, SIGNAL(sigUpdateAgentStateChanged(CUpdateAgent, KUpdateState)),
-            this, SIGNAL(sigUpdateAgentStateChanged(CUpdateAgent, KUpdateState)),
-            Qt::DirectConnection);
-    connect(m_pProxy, SIGNAL(sigUpdateAgentSettingsChanged(CUpdateAgent, QString)),
-            this, SIGNAL(sigUpdateAgentSettingsChanged(CUpdateAgent, QString)),
-            Qt::QueuedConnection);
 }
 
Index: trunk/src/VBox/Frontends/VirtualBox/src/globals/UIVirtualBoxEventHandler.h
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/src/globals/UIVirtualBoxEventHandler.h	(revision 94733)
+++ trunk/src/VBox/Frontends/VirtualBox/src/globals/UIVirtualBoxEventHandler.h	(revision 94734)
@@ -32,5 +32,4 @@
 #include "CMedium.h"
 #include "CMediumAttachment.h"
-#include "CUpdateAgent.h"
 
 /* Forward declarations: */
@@ -87,12 +86,4 @@
       * @param  fRegistered    Brings whether medium is registered or unregistered. */
     void sigMediumRegistered(const QUuid &uMediumId, KDeviceType enmMediumType, bool fRegistered);
-    /** Notifies about an available update of an update agent. */
-    void sigUpdateAgentAvailable(CUpdateAgent, QString, KUpdateChannel, KUpdateSeverity, QString, QString, QString);
-    /** Notifies about an error of an update agent. */
-    void sigUpdateAgentError(CUpdateAgent, QString, long);
-    /** Notifies about a state change of an update agent. */
-    void sigUpdateAgentStateChanged(CUpdateAgent, KUpdateState);
-    /** Notifies about update agent @a comAgent settings change. */
-    void sigUpdateAgentSettingsChanged(CUpdateAgent comAgent, const QString &strAttributeHint);
 
 public:
Index: trunk/src/VBox/Frontends/VirtualBox/src/notificationcenter/UINotificationCenter.cpp
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/src/notificationcenter/UINotificationCenter.cpp	(revision 94733)
+++ trunk/src/VBox/Frontends/VirtualBox/src/notificationcenter/UINotificationCenter.cpp	(revision 94734)
@@ -38,6 +38,4 @@
 #include "UINotificationObjectItem.h"
 #include "UINotificationModel.h"
-#include "UIVirtualBoxEventHandler.h" /** @todo EXAMPLE -- REMOVE THIS */
-#include "CUpdateAgent.h"             /** @todo EXAMPLE -- REMOVE THIS */
 
 /* Other VBox includes: */
@@ -406,10 +404,4 @@
 }
 
-/** @todo EXAMPLE -- REMOVE THIS */
-void UINotificationCenter::sltUpdateAgentAvailable(CUpdateAgent comAgent, QString strVer, KUpdateChannel, KUpdateSeverity, QString, QString, QString)
-{
-    RT_NOREF(comAgent, strVer);
-}
-
 void UINotificationCenter::sltHandleOpenButtonToggled(bool fToggled)
 {
@@ -530,8 +522,4 @@
     connect(gEDataManager, &UIExtraDataManager::sigNotificationCenterOrderChange,
             this, &UINotificationCenter::sltHandleOrderChange);
-
-    /** @todo EXAMPLE -- REMOVE THIS */
-    connect(gVBoxEvents, &UIVirtualBoxEventHandler::sigUpdateAgentAvailable,
-            this, &UINotificationCenter::sltUpdateAgentAvailable);
 
     /* Prepare the rest of stuff: */
Index: trunk/src/VBox/Frontends/VirtualBox/src/notificationcenter/UINotificationCenter.h
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/src/notificationcenter/UINotificationCenter.h	(revision 94733)
+++ trunk/src/VBox/Frontends/VirtualBox/src/notificationcenter/UINotificationCenter.h	(revision 94734)
@@ -111,6 +111,4 @@
     /** Issues request to make open button @a fToggled. */
     void sltHandleOpenButtonToggled(bool fToggled);
-    /** @todo EXAMPLE -- REMOVE THIS */
-    void sltUpdateAgentAvailable(CUpdateAgent comAgent, QString, KUpdateChannel, KUpdateSeverity, QString, QString, QString);
     /** Toggles notification-progresses keep approach. */
     void sltHandleKeepButtonToggled(bool fToggled);