Index: trunk/src/VBox/Main/src-client/MouseImpl.cpp
===================================================================
--- trunk/src/VBox/Main/src-client/MouseImpl.cpp	(revision 94923)
+++ trunk/src/VBox/Main/src-client/MouseImpl.cpp	(revision 94924)
@@ -265,11 +265,11 @@
 
     unconst(mEventSource).createObject();
-    HRESULT rc = mEventSource->init();
-    AssertComRCReturnRC(rc);
+    HRESULT hrc = mEventSource->init();
+    AssertComRCReturnRC(hrc);
 
     ComPtr<IEvent> ptrEvent;
-    rc = ::CreateGuestMouseEvent(ptrEvent.asOutParam(), mEventSource,
-                                 (GuestMouseEventMode_T)0, 0 /*x*/, 0 /*y*/, 0 /*z*/, 0 /*w*/, 0 /*buttons*/);
-    AssertComRCReturnRC(rc);
+    hrc = ::CreateGuestMouseEvent(ptrEvent.asOutParam(), mEventSource,
+                                  (GuestMouseEventMode_T)0, 0 /*x*/, 0 /*y*/, 0 /*z*/, 0 /*w*/, 0 /*buttons*/);
+    AssertComRCReturnRC(hrc);
     mMouseEvent.init(ptrEvent, mEventSource);
 
@@ -360,7 +360,7 @@
         return E_FAIL;  /* same here */
 
-    int rc = pVMMDevPort->pfnUpdateMouseCapabilities(pVMMDevPort, fCapsAdded,
-                                                     fCapsRemoved);
-    if (RT_FAILURE(rc))
+    int vrc = pVMMDevPort->pfnUpdateMouseCapabilities(pVMMDevPort, fCapsAdded,
+                                                      fCapsRemoved);
+    if (RT_FAILURE(vrc))
         return E_FAIL;
     return pDisplay->i_reportHostCursorCapabilities(fCapsAdded, fCapsRemoved);
@@ -633,5 +633,5 @@
                                               bool fUsesVMMDevEvent)
 {
-    HRESULT rc;
+    HRESULT hrc;
     /** If we are using the VMMDev to report absolute position but without
      * VMMDev IRQ support then we need to send a small "jiggle" to the emulated
@@ -646,15 +646,15 @@
         if (x != mcLastX || y != mcLastY)
         {
-            rc = i_reportAbsEventToVMMDev(x, y);
+            hrc = i_reportAbsEventToVMMDev(x, y);
             cJiggle = !fUsesVMMDevEvent;
         }
-        rc = i_reportRelEventToMouseDev(cJiggle, 0, dz, dw, fButtons);
+        hrc = i_reportRelEventToMouseDev(cJiggle, 0, dz, dw, fButtons);
     }
     else
-        rc = i_reportAbsEventToMouseDev(x, y, dz, dw, fButtons);
+        hrc = i_reportAbsEventToMouseDev(x, y, dz, dw, fButtons);
 
     mcLastX = x;
     mcLastY = y;
-    return rc;
+    return hrc;
 }
 
@@ -743,19 +743,16 @@
                              LONG aButtonState)
 {
-    HRESULT rc;
-    uint32_t fButtonsAdj;
-
     LogRel3(("%s: dx=%d, dy=%d, dz=%d, dw=%d\n", __PRETTY_FUNCTION__,
                  dx, dy, dz, dw));
 
-    fButtonsAdj = i_mouseButtonsToPDM(aButtonState);
+    uint32_t fButtonsAdj = i_mouseButtonsToPDM(aButtonState);
     /* Make sure that the guest knows that we are sending real movement
      * events to the PS/2 device and not just dummy wake-up ones. */
     i_updateVMMDevMouseCaps(0, VMMDEV_MOUSE_HOST_WANTS_ABSOLUTE);
-    rc = i_reportRelEventToMouseDev(dx, dy, dz, dw, fButtonsAdj);
+    HRESULT hrc = i_reportRelEventToMouseDev(dx, dy, dz, dw, fButtonsAdj);
 
     i_fireMouseEvent(false, dx, dy, dz, dw, aButtonState);
 
-    return rc;
+    return hrc;
 }
 
@@ -796,8 +793,8 @@
         LONG lDummy;
         /* Takes the display lock */
-        HRESULT rc = pDisplay->i_getScreenResolution(0, &displayWidth,
-                                                     &displayHeight, &ulDummy, &lDummy, &lDummy);
-        if (FAILED(rc))
-            return rc;
+        HRESULT hrc = pDisplay->i_getScreenResolution(0, &displayWidth,
+                                                      &displayHeight, &ulDummy, &lDummy, &lDummy);
+        if (FAILED(hrc))
+            return hrc;
 
         *pxAdj = displayWidth ?   (x * VMMDEV_MOUSE_RANGE + ADJUST_RANGE)
@@ -872,19 +869,19 @@
     /** @note Or maybe not... races are pretty inherent in everything done in
      *        this object and not really bad as far as I can see. */
-    HRESULT rc = i_convertDisplayRes(x, y, &xAdj, &yAdj, &fValid);
-    if (FAILED(rc)) return rc;
+    HRESULT hrc = i_convertDisplayRes(x, y, &xAdj, &yAdj, &fValid);
+    if (FAILED(hrc)) return hrc;
 
     fButtonsAdj = i_mouseButtonsToPDM(aButtonState);
     if (fValid)
     {
-        rc = i_reportAbsEventToInputDevices(xAdj, yAdj, dz, dw, fButtonsAdj,
-                                            RT_BOOL(mfVMMDevGuestCaps & VMMDEV_MOUSE_NEW_PROTOCOL));
-        if (FAILED(rc)) return rc;
+        hrc = i_reportAbsEventToInputDevices(xAdj, yAdj, dz, dw, fButtonsAdj,
+                                             RT_BOOL(mfVMMDevGuestCaps & VMMDEV_MOUSE_NEW_PROTOCOL));
+        if (FAILED(hrc)) return hrc;
 
         i_fireMouseEvent(true, x, y, dz, dw, aButtonState);
     }
-    rc = i_reportAbsEventToDisplayDevice(x, y);
-
-    return rc;
+    hrc = i_reportAbsEventToDisplayDevice(x, y);
+
+    return hrc;
 }
 
@@ -905,5 +902,5 @@
              __FUNCTION__, aCount, aContacts.size(), aScanTime));
 
-    HRESULT rc = S_OK;
+    HRESULT hrc = S_OK;
 
     if ((LONG)aContacts.size() >= aCount)
@@ -911,12 +908,12 @@
         const LONG64 *paContacts = aCount > 0? &aContacts.front(): NULL;
 
-        rc = i_putEventMultiTouch(aCount, paContacts, aScanTime);
+        hrc = i_putEventMultiTouch(aCount, paContacts, aScanTime);
     }
     else
     {
-        rc = E_INVALIDARG;
-    }
-
-    return rc;
+        hrc = E_INVALIDARG;
+    }
+
+    return hrc;
 }
 
@@ -967,7 +964,7 @@
     LONG  xOrigin = 0;
     LONG  yOrigin = 0;
-    HRESULT rc = pDisplay->i_getScreenResolution(uScreenId, &cWidth, &cHeight, &cBPP, &xOrigin, &yOrigin);
+    HRESULT hrc = pDisplay->i_getScreenResolution(uScreenId, &cWidth, &cHeight, &cBPP, &xOrigin, &yOrigin);
     NOREF(cBPP);
-    ComAssertComRCRetRC(rc);
+    ComAssertComRCRetRC(hrc);
 
     uint64_t* pau64Contacts = NULL;
@@ -1034,11 +1031,11 @@
         else
         {
-            rc = E_OUTOFMEMORY;
+            hrc = E_OUTOFMEMORY;
         }
     }
 
-    if (SUCCEEDED(rc))
-    {
-        rc = i_reportMultiTouchEventToDevice(cContacts, cContacts? pau64Contacts: NULL, (uint32_t)aScanTime);
+    if (SUCCEEDED(hrc))
+    {
+        hrc = i_reportMultiTouchEventToDevice(cContacts, cContacts? pau64Contacts: NULL, (uint32_t)aScanTime);
 
         /* Send the original contact information. */
@@ -1048,5 +1045,5 @@
     RTMemTmpFree(pau64Contacts);
 
-    return rc;
+    return hrc;
 }
 