Index: trunk/src/VBox/Frontends/VBoxAutostart/VBoxAutostartStart.cpp
===================================================================
--- trunk/src/VBox/Frontends/VBoxAutostart/VBoxAutostartStart.cpp	(revision 95139)
+++ trunk/src/VBox/Frontends/VBoxAutostart/VBoxAutostartStart.cpp	(revision 95140)
@@ -87,6 +87,6 @@
      */
     com::SafeIfaceArray<IMachine> machines;
-    HRESULT rc = g_pVirtualBox->COMGETTER(Machines)(ComSafeArrayAsOutParam(machines));
-    if (SUCCEEDED(rc))
+    HRESULT hrc = g_pVirtualBox->COMGETTER(Machines)(ComSafeArrayAsOutParam(machines));
+    if (SUCCEEDED(hrc))
     {
         /*
@@ -131,5 +131,5 @@
          * just to add this log, hence a bit of duplicate logic here.
          */
-        if (SUCCEEDED(rc))
+        if (SUCCEEDED(hrc))
         {
             if (machines.size() == 0)
@@ -142,7 +142,7 @@
         }
         else
-            autostartSvcLogError("Enumerating virtual machines failed with %Rhrc\n", rc);
-
-        if (   SUCCEEDED(rc)
+            autostartSvcLogError("Enumerating virtual machines failed with %Rhrc\n", hrc);
+
+        if (   SUCCEEDED(hrc)
             && !listVM.empty())
         {
@@ -173,13 +173,13 @@
                 CHECK_ERROR_BREAK(machine, LaunchVMProcess(g_pSession, Bstr("headless").raw(),
                                                            ComSafeArrayNullInParam(), progress.asOutParam()));
-                if (SUCCEEDED(rc) && !progress.isNull())
+                if (SUCCEEDED(hrc) && !progress.isNull())
                 {
                     autostartSvcLogVerbose(1, "Waiting for machine '%ls' to power on ...\n", strName.raw());
                     CHECK_ERROR(progress, WaitForCompletion(-1));
-                    if (SUCCEEDED(rc))
+                    if (SUCCEEDED(hrc))
                     {
                         BOOL completed = true;
                         CHECK_ERROR(progress, COMGETTER(Completed)(&completed));
-                        if (SUCCEEDED(rc))
+                        if (SUCCEEDED(hrc))
                         {
                             ASSERT(completed);
@@ -187,5 +187,5 @@
                             LONG iRc;
                             CHECK_ERROR(progress, COMGETTER(ResultCode)(&iRc));
-                            if (SUCCEEDED(rc))
+                            if (SUCCEEDED(hrc))
                             {
                                 if (FAILED(iRc))
@@ -202,5 +202,5 @@
                 SessionState_T enmSessionState;
                 CHECK_ERROR(g_pSession, COMGETTER(State)(&enmSessionState));
-                if (SUCCEEDED(rc) && enmSessionState == SessionState_Locked)
+                if (SUCCEEDED(hrc) && enmSessionState == SessionState_Locked)
                     g_pSession->UnlockMachine();
             }
Index: trunk/src/VBox/Frontends/VBoxAutostart/VBoxAutostartStop.cpp
===================================================================
--- trunk/src/VBox/Frontends/VBoxAutostart/VBoxAutostartStop.cpp	(revision 95139)
+++ trunk/src/VBox/Frontends/VBoxAutostart/VBoxAutostartStop.cpp	(revision 95140)
@@ -49,5 +49,5 @@
 static HRESULT autostartSaveVMState(ComPtr<IConsole> &console)
 {
-    HRESULT rc = S_OK;
+    HRESULT hrc = S_OK;
     ComPtr<IMachine> machine;
     ComPtr<IProgress> progress;
@@ -57,9 +57,9 @@
         /* first pause so we don't trigger a live save which needs more time/resources */
         bool fPaused = false;
-        rc = console->Pause();
-        if (FAILED(rc))
+        hrc = console->Pause();
+        if (FAILED(hrc))
         {
             bool fError = true;
-            if (rc == VBOX_E_INVALID_VM_STATE)
+            if (hrc == VBOX_E_INVALID_VM_STATE)
             {
                 /* check if we are already paused */
@@ -67,5 +67,5 @@
                 CHECK_ERROR_BREAK(console, COMGETTER(State)(&machineState));
                 /* the error code was lost by the previous instruction */
-                rc = VBOX_E_INVALID_VM_STATE;
+                hrc = VBOX_E_INVALID_VM_STATE;
                 if (machineState != MachineState_Paused)
                 {
@@ -85,5 +85,5 @@
         CHECK_ERROR(console, COMGETTER(Machine)(machine.asOutParam()));
         CHECK_ERROR(machine, SaveState(progress.asOutParam()));
-        if (FAILED(rc))
+        if (FAILED(hrc))
         {
             if (!fPaused)
@@ -92,7 +92,7 @@
         }
 
-        rc = showProgress(progress);
+        hrc = showProgress(progress);
         CHECK_PROGRESS_ERROR(progress, ("Failed to save machine state"));
-        if (FAILED(rc))
+        if (FAILED(hrc))
         {
             if (!fPaused)
@@ -101,5 +101,5 @@
     } while (0);
 
-    return rc;
+    return hrc;
 }
 
@@ -116,6 +116,6 @@
      */
     com::SafeIfaceArray<IMachine> machines;
-    HRESULT rc = g_pVirtualBox->COMGETTER(Machines)(ComSafeArrayAsOutParam(machines));
-    if (SUCCEEDED(rc))
+    HRESULT hrc = g_pVirtualBox->COMGETTER(Machines)(ComSafeArrayAsOutParam(machines));
+    if (SUCCEEDED(hrc))
     {
         /*
@@ -155,5 +155,5 @@
         }
 
-        if (   SUCCEEDED(rc)
+        if (   SUCCEEDED(hrc)
             && !listVM.empty())
         {
@@ -197,5 +197,5 @@
                         case AutostopType_SaveState:
                         {
-                            rc = autostartSaveVMState(console);
+                            hrc = autostartSaveVMState(console);
                             break;
                         }
@@ -204,8 +204,8 @@
                             CHECK_ERROR_BREAK(console, PowerDown(progress.asOutParam()));
 
-                            rc = showProgress(progress);
+                            hrc = showProgress(progress);
                             CHECK_PROGRESS_ERROR(progress, ("Failed to powering off machine '%ls'", strName.raw()));
-                            if (FAILED(rc))
-                                autostartSvcLogError("Powering off machine '%ls' failed with %Rhrc\n", strName.raw(), rc);
+                            if (FAILED(hrc))
+                                autostartSvcLogError("Powering off machine '%ls' failed with %Rhrc\n", strName.raw(), hrc);
                             break;
                         }
@@ -240,5 +240,5 @@
                                 autostartSvcLogWarning("The guest of machine '%ls' does not support ACPI shutdown or is currently paused, saving state...\n",
                                                        strName.raw());
-                                rc = autostartSaveVMState(console);
+                                hrc = autostartSaveVMState(console);
                             }
                             break;