Index: trunk/src/VBox/Main/testcase/tstVBoxMultipleVM.cpp
===================================================================
--- trunk/src/VBox/Main/testcase/tstVBoxMultipleVM.cpp	(revision 95142)
+++ trunk/src/VBox/Main/testcase/tstVBoxMultipleVM.cpp	(revision 95143)
@@ -88,6 +88,6 @@
     do { \
         hrc = iface->method; \
-        if (FAILED(rc)) \
-            RTPrintf("warning: %s->%s failed on line %u with hrc=%Rhrc\n", #iface, #method, __LINE__, rc);\
+        if (FAILED(hrc)) \
+            RTPrintf("warning: %s->%s failed on line %u with hrc=%Rhrc\n", #iface, #method, __LINE__, hrc);\
     } while (0)
 
@@ -149,15 +149,15 @@
 {
     ComPtr<IMachine> machine;
-    HRESULT rc = TST_COM_EXPR(pVBox->FindMachine(machineID.raw(), machine.asOutParam()));
-    if (SUCCEEDED(rc))
+    HRESULT hrc = TST_COM_EXPR(pVBox->FindMachine(machineID.raw(), machine.asOutParam()));
+    if (SUCCEEDED(hrc))
     {
         Bstr machineName;
-        rc = TST_COM_EXPR(machine->COMGETTER(Name)(machineName.asOutParam()));
-        if (SUCCEEDED(rc))
+        hrc = TST_COM_EXPR(machine->COMGETTER(Name)(machineName.asOutParam()));
+        if (SUCCEEDED(hrc))
         {
             MachineState_T machineState;
-            rc = TST_COM_EXPR(machine->COMGETTER(State)(&machineState));
+            hrc = TST_COM_EXPR(machine->COMGETTER(State)(&machineState));
             // check that machine is in running state
-            if (   SUCCEEDED(rc)
+            if (   SUCCEEDED(hrc)
                 && (   machineState == MachineState_Running
                     || machineState == MachineState_Paused))
@@ -166,23 +166,23 @@
                 ComPtr<IProgress> progress;
 
-                rc = TST_COM_EXPR(machine->LockMachine(pSession, LockType_Shared));
-                if(SUCCEEDED(rc))
+                hrc = TST_COM_EXPR(machine->LockMachine(pSession, LockType_Shared));
+                if(SUCCEEDED(hrc))
                     TST_COM_EXPR(pSession->COMGETTER(Console)(console.asOutParam()));
-                if(SUCCEEDED(rc))
-                    rc = console->PowerDown(progress.asOutParam());
-                if (SUCCEEDED(rc) && !progress.isNull())
+                if(SUCCEEDED(hrc))
+                    hrc = console->PowerDown(progress.asOutParam());
+                if (SUCCEEDED(hrc) && !progress.isNull())
                 {
                     //RTPrintf("Stopping VM %ls...\n", machineName.raw());
                     CHECK_ERROR_L(progress, WaitForCompletion(-1));
-                    if (SUCCEEDED(rc))
+                    if (SUCCEEDED(hrc))
                     {
                         BOOL completed = true;
                         CHECK_ERROR_L(progress, COMGETTER(Completed)(&completed));
-                        if (SUCCEEDED(rc))
+                        if (SUCCEEDED(hrc))
                         {
                             //ASSERT(completed);
                             LONG iRc;
                             CHECK_ERROR_L(progress, COMGETTER(ResultCode)(&iRc));
-                            if (SUCCEEDED(rc))
+                            if (SUCCEEDED(hrc))
                             {
                                 if (FAILED(iRc))
@@ -190,5 +190,5 @@
                                     ProgressErrorInfo info(progress);
                                     RTPrintf("Stop VM %ls failed. Warning: %ls.\n", machineName.raw(), info.getText().raw());
-                                    rc = iRc;
+                                    hrc = iRc;
                                 }
                                 else
@@ -207,5 +207,5 @@
         }
     }
-    return rc;
+    return hrc;
 }
 
@@ -219,6 +219,6 @@
 {
     com::SafeIfaceArray<IMachine> machines;
-    HRESULT rc = TST_COM_EXPR(pVBox->COMGETTER(Machines)(ComSafeArrayAsOutParam(machines)));
-    if (SUCCEEDED(rc))
+    HRESULT hrc = TST_COM_EXPR(pVBox->COMGETTER(Machines)(ComSafeArrayAsOutParam(machines)));
+    if (SUCCEEDED(hrc))
     {
 
@@ -233,7 +233,7 @@
                 Bstr machineName;
                 CHECK_ERROR_L(machines[idx], COMGETTER(Id)(bstrId.asOutParam()));
-                if (SUCCEEDED(rc))
+                if (SUCCEEDED(hrc))
                     CHECK_ERROR_L(machines[idx], COMGETTER(Name)(machineName.asOutParam()));
-                if (SUCCEEDED(rc))
+                if (SUCCEEDED(hrc))
                 {
                     if (Utf8Str(machineName).startsWith("umtvm"))
@@ -249,5 +249,5 @@
     }
 
-    return rc;
+    return hrc;
 }
 
@@ -255,5 +255,5 @@
 static int tstMachinesPack(IVirtualBox *pVBox, uint32_t maxPackSize, uint32_t percentage)
 {
-    HRESULT rc = S_OK;
+    HRESULT hrc = S_OK;
     TMachinesList machinesList;
     bool alwaysUnlock = false;
@@ -277,8 +277,8 @@
     {
         ComPtr<ISession> session;
-        rc = session.createInprocObject(CLSID_Session);
-        if (SUCCEEDED(rc))
-        {
-            rc = tstStartVM(pVBox, session, *it, !(alwaysUnlock || g_Counter++ % percN));
+        hrc = session.createInprocObject(CLSID_Session);
+        if (SUCCEEDED(hrc))
+        {
+            hrc = tstStartVM(pVBox, session, *it, !(alwaysUnlock || g_Counter++ % percN));
         }
         RTSemEventSignal(g_PingEevent);
@@ -291,14 +291,14 @@
     {
         ComPtr<ISession> session;
-        rc = session.createInprocObject(CLSID_Session);
-        if (SUCCEEDED(rc))
+        hrc = session.createInprocObject(CLSID_Session);
+        if (SUCCEEDED(hrc))
         {
             // stop machines, skip session unlock of given % of machines
-            rc = tstStopVM(pVBox, session, *it, !(alwaysUnlock || g_Counter++ % percN));
+            hrc = tstStopVM(pVBox, session, *it, !(alwaysUnlock || g_Counter++ % percN));
         }
         RTSemEventSignal(g_PingEevent);
         RTThreadSleep(100);
     }
-    return rc;
+    return hrc;
 }
 
@@ -314,5 +314,5 @@
 static int tstCreateMachines(IVirtualBox *pVBox)
 {
-    HRESULT rc = S_OK;
+    HRESULT hrc = S_OK;
     // create machines for the test
     for (uint32_t i = 0; i < g_Args.numberMachines; i++)
@@ -332,5 +332,5 @@
                                          NULL,                          /* Create flags */
                                          ptrMachine.asOutParam()));
-        if (SUCCEEDED(rc))
+        if (SUCCEEDED(hrc))
         {
             CHECK_ERROR_L(pVBox, RegisterMachine(ptrMachine));
@@ -341,5 +341,5 @@
         RTThreadSleep(100);
     }
-    return rc;
+    return hrc;
 }
 
@@ -347,6 +347,6 @@
 static int tstClean(IVirtualBox *pVBox, IVirtualBoxClient *pClient)
 {
-    NOREF(pClient);
-    HRESULT rc = S_OK;
+    RT_NOREF(pClient);
+    HRESULT hrc = S_OK;
 
     // stop all machines created for the test
@@ -364,28 +364,28 @@
 
         // try to stop it again if it was not stopped
-        if (SUCCEEDED(rc))
+        if (SUCCEEDED(hrc))
         {
             MachineState_T machineState;
             CHECK_ERROR_L(machine, COMGETTER(State)(&machineState));
-            if (   SUCCEEDED(rc)
+            if (   SUCCEEDED(hrc)
                 && (   machineState == MachineState_Running
                     || machineState == MachineState_Paused) )
             {
-                rc = session.createInprocObject(CLSID_Session);
-                if (SUCCEEDED(rc))
+                hrc = session.createInprocObject(CLSID_Session);
+                if (SUCCEEDED(hrc))
                     tstStopVM(pVBox, session, machineName, FALSE);
             }
         }
 
-        if (SUCCEEDED(rc))
+        if (SUCCEEDED(hrc))
             CHECK_ERROR_L(machine, Unregister(CleanupMode_DetachAllReturnHardDisksOnly, ComSafeArrayAsOutParam(media)));
-        if (SUCCEEDED(rc))
+        if (SUCCEEDED(hrc))
             CHECK_ERROR_L(machine, DeleteConfig(ComSafeArrayAsInParam(media), progress.asOutParam()));
-        if (SUCCEEDED(rc))
+        if (SUCCEEDED(hrc))
             CHECK_ERROR_L(progress, WaitForCompletion(-1));
-        if (SUCCEEDED(rc))
+        if (SUCCEEDED(hrc))
             RTPrintf("Machine '%ls' deleted.\n", machineName.raw());
     }
-    return rc;
+    return hrc;
 }
 
@@ -399,14 +399,14 @@
     uint32_t percentage = args->percentsUnlok;
 
-    HRESULT rc = com::Initialize();
-    if (SUCCEEDED(rc))
+    HRESULT hrc = com::Initialize();
+    if (SUCCEEDED(hrc))
     {
         ComPtr<IVirtualBoxClient> ptrVBoxClient;
         ComPtr<IVirtualBox> ptrVBox;
 
-        rc = TST_COM_EXPR(ptrVBoxClient.createInprocObject(CLSID_VirtualBoxClient));
-        if (SUCCEEDED(rc))
-            rc = TST_COM_EXPR(ptrVBoxClient->COMGETTER(VirtualBox)(ptrVBox.asOutParam()));
-        if (SUCCEEDED(rc))
+        hrc = TST_COM_EXPR(ptrVBoxClient.createInprocObject(CLSID_VirtualBoxClient));
+        if (SUCCEEDED(hrc))
+            hrc = TST_COM_EXPR(ptrVBoxClient->COMGETTER(VirtualBox)(ptrVBox.asOutParam()));
+        if (SUCCEEDED(hrc))
         {
             RTPrintf("Creating machines...\n");
@@ -415,5 +415,5 @@
             while (g_RunTest)
             {
-                rc = tstMachinesPack(ptrVBox, maxPackSize, percentage);
+                hrc = tstMachinesPack(ptrVBox, maxPackSize, percentage);
             }
 
@@ -430,5 +430,5 @@
         com::Shutdown();
     }
-    return rc;
+    return hrc;
 }
 